Bug 170184 - scanner not recognized with new kernel
scanner not recognized with new kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 08:44 EDT by Radek Bíba
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.15-1.1830_FC4, sane-backends-1.0.17-0.fc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-05 03:42:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-10-08 08:44:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have Epson Stylus CX3200 All-In-One device (printer, scanner, copier), it used
to work out of the box but the scanner no longer does with new kernel - when I try
to scan something it's not even found. This appears in /var/log/messages:

kernel: usb 2-1: usbfs: interface 1 claimed by usblp while 'xsane' sets config #1

It worked with kernel-2.6.12-1.1447_FC4, I just retested it.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. plug in Epson Stylus CX3200 and turn it on (perhaps other devices are affected
too, who knows)
2. try to scan something, e.g. GIMP: File - Acquire - Device dialog, or just run
scanimage -L
  

Actual Results:  scanner not found

Expected Results:  scanner found

Additional info:

Important: this is a known issue discussed on sane-devel mailing list, please see:
http://lists.alioth.debian.org/pipermail/sane-devel/2005-September/014721.html

and yes, `rmmod usblp' helps.

Feel free to reassign this bug to sane-backends if you think they are to blame.
Comment 1 Dave Jones 2005-11-10 15:28:11 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Radek Bíba 2005-11-11 16:27:59 EST
I'm sorry, this release doesn't fix my problem.
Comment 3 Dave Jones 2006-02-03 01:15:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Radek Bíba 2006-02-04 05:04:35 EST
No improvement :(
Comment 5 Radek Bíba 2006-02-05 03:42:05 EST
Actually yes. Old sane-backends were installed on the machine where this problem
occured. Update to sane-backends-1.0.17-0.fc4.1, which were released on New Year's
Day, resolves this issue.

Note You need to log in before you can comment on or make changes to this bug.